Cette page répertorie l’ensemble des modifications apportées à la formation « Maîtriser Angular », depuis sa mise en pré-vente, jusqu’à la publication finale.

Mise à jour du 14 Juin 2019

  • Remerciements à Cédric : Correctif de coquilles page 7, 10 et 13. 😇
  • Remerciements à Olivier : Ajout des numéros de page dans le manuscrit.
  • Mise à jour pour Angular 8 : Le cours a été mis à jour pour Angular 8. Les sections concernés sont l’installation d’Angular CLI qui passe en ~8.0.2, et la section sur les routes asynchrones. La version 10 de Node est maintenant requise, ainsi que la version 3.4 pour TypeScript. Le manuscrit du cours a été mis à jour en conséquence. Pour vous mettre à jour depuis la version 7, il suffit de taper les commandes suivantes :
    • ng update @angular/cli @angular/core
    • rm -Rf ./node_modules
    • npm install
    • Fermez et ré-ouvrez votre IDE.
    • Merci Angular CLI, il s’est occupé de la mise à jour pour vous !😎
  • Suppression du SDK de Firebase : Les dépendances @angular/fire et firebase ont été retiré du projet. L’objectif de la formation est de se former pour un contexte professionnel, donc on n’utilisera uniquement l’API Rest de Firebase, comme s’il s’agissait d’un backend classique. Ces dépendances alourdissait le projet et étaient des surcouches inutiles. (Section modifiée : Mise en place de Firebase > Ajouter Firebase à notre projet Angular). Si vous avez déjà ajoutez ces librairies, continuez comme si de rien n’était, cela n’aura pas d’impact pour la suite.
  • Divers correctif de syntaxe dans le code, qui empêché le linter de fonctionner correctement.
  • Suppression d’une importation inutile dans le service user.service.ts. L’opérateur tap a été retiré des importations.
  • Les pages des grandes parties du cours ont été mises en forme, via un centrage vertical et l’ajout d’une bordure. (Partie I, Partie II, etc)

Laisser un commentaire